<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-profil-heading" jhiTranslate="gestioncvsApp.profil.home.createOrEditLabel">Create or edit a Profil</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.profil.activite" for="field_activite">Activite</label>
                    <input type="text" class="form-control" name="activite" id="field_activite"
                           formControlName="activite"/>
                </div>

                <div class="form-group">
                    <label jhiTranslate="gestioncvsApp.profil.qualifications" for="field_qualifications">Qualifications</label>
                    <select class="form-control" id="field_qualifications" multiple name="qualifications" formControlName="qualifications">
                        <option [ngValue]="getSelected(editForm.get('qualifications')!.value, banqueQualificationOption)" *ngFor="let banqueQualificationOption of banquequalifications; trackBy: trackById">{{ banqueQualificationOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
